# Uses of Class
org.apache.lucene.replicator.nrt.CopyOneFile

- ## Uses of CopyOneFile in org.apache.lucene.replicator.nrt

  Fields in org.apache.lucene.replicator.nrt declared as CopyOneFile
  Modifier and Type
  Field
  Description
  `protected CopyOneFile`
  CopyJob.`current`
  Methods in org.apache.lucene.replicator.nrt that return CopyOneFile
  Modifier and Type
  Method
  Description
  `protected abstract CopyOneFile`
  CopyJob.`newCopyOneFile(CopyOneFile current)`
  Methods in org.apache.lucene.replicator.nrt with parameters of type CopyOneFile
  Modifier and Type
  Method
  Description
  `protected abstract CopyOneFile`
  CopyJob.`newCopyOneFile(CopyOneFile current)`
  Constructors in org.apache.lucene.replicator.nrt with parameters of type CopyOneFile
  Modifier
  Constructor
  Description
  ``
  `CopyOneFile(CopyOneFile other, DataInput in)`
  Transfers this file copy to another input, continuing where the first one left off